package cz.moneta.test.dsl.payment_engine.parts_of_menu.menu_monitoring;

import cz.moneta.test.dsl.payment_engine.home.PaymentEngineHomePage;
import cz.moneta.test.harness.support.web.Click;
import cz.moneta.test.harness.support.web.Until;
import cz.moneta.test.harness.support.web.Wait;
import cz.moneta.test.harness.support.web.WebFlow;

import static cz.moneta.test.dsl.payment_engine.parts_of_menu.menu_monitoring.PaymentEngineMonitoringChannelList.INPUT_MT_FROM_SAA;

@Wait(value = INPUT_MT_FROM_SAA, until = Until.VISIBLE)
public interface PaymentEngineMonitoringChannelList extends WebFlow<PaymentEngineMonitoringChannelList> {
    String INPUT_MT_FROM_SAA = "//td[@class = 'x-grid3-col x-grid3-cell x-grid3-td-2 ']//div[text()='I_CCI_SAA_MT']";
    String INPUT_SCT_FROM_SIPS = "//td[@class = 'x-grid3-col x-grid3-cell x-grid3-td-2 ']//div[text()='I_CCI_SIPS_SCT']";
    String RUN_BUTTON = "//a[text() = 'Spustit']";
    String CLOSE_BUTTON = "//a[@class = 'x-tab-strip-close']";
    String INPUT_MT101_FROM_SAA = "//td[@class = 'x-grid3-col x-grid3-cell x-grid3-td-2 ']//div[text()='I_EBI_SAA_MT']";
    String INPUT_PACS009_FROM_CAPITOL = "//td[@class = 'x-grid3-col x-grid3-cell x-grid3-td-2 ']//div[text()='I_EBI_CAP_PACS009']";
    String INPUT_PAIN001_FROM_CAPITOL = "//td[@class = 'x-grid3-col x-grid3-cell x-grid3-td-2 ']//div[text()='I_EBI_CAP_PAIN001']";
    String INPUT_CFA_FROM_MC = "//td[@class = 'x-grid3-col x-grid3-cell x-grid3-td-2 ']//div[text()='I_EBI_MC_CFA']";
    String INPUT_CFD_FROM_MC = "//td[@class = 'x-grid3-col x-grid3-cell x-grid3-td-2 ']//div[text()='I_EBI_MC_CFD']";
    String INPUT_PAIN_FROM_MC = "//td[@class = 'x-grid3-col x-grid3-cell x-grid3-td-2 ']//div[text()='I_EBI_MC_PAIN']";
    String INPUT_CCI_FROM_CERTIS = "//td[@class = 'x-grid3-col x-grid3-cell x-grid3-td-2 ']//div[text()='I_CCI_CERTIS']";
    String INPUT_TRX_FROM_STARBUILD = "//td[@class = 'x-grid3-col x-grid3-cell x-grid3-td-2 ']//div[text()='I_EBI_SB_PREBK']";

    @Click(INPUT_MT_FROM_SAA)
    PaymentEngineMonitoringChannelList clickOnInputMT();

    @Click(value = RUN_BUTTON, andWait = @Wait(explicitWaitSeconds = 3))
    PaymentEngineRunInstance clickOnRunButton();

    @Click(CLOSE_BUTTON)
    PaymentEngineHomePage closeTab();

    @Click(INPUT_SCT_FROM_SIPS)
    PaymentEngineMonitoringChannelList clickOnInputSepa();

    @Click(INPUT_MT101_FROM_SAA)
    PaymentEngineMonitoringChannelList clickOnInputMT101();

    @Click(INPUT_PACS009_FROM_CAPITOL)
    PaymentEngineMonitoringChannelList clickOnInputPacs009();

    @Click(INPUT_PAIN001_FROM_CAPITOL)
    PaymentEngineMonitoringChannelList clickOnInputPain001();

    @Click(INPUT_CFA_FROM_MC)
    PaymentEngineMonitoringChannelList clickOnInputCFA();

    @Click(INPUT_CFD_FROM_MC)
    PaymentEngineMonitoringChannelList clickOnInputCFD();

    @Click(INPUT_PAIN_FROM_MC)
    PaymentEngineMonitoringChannelList clickOnInputPAIN();

    @Click(INPUT_CCI_FROM_CERTIS)
    PaymentEngineMonitoringChannelList clickOnInputCERTIS();

    @Click(INPUT_TRX_FROM_STARBUILD)
    PaymentEngineMonitoringChannelList clickOnInputStarBuild();

    @Wait(explicitWaitSeconds = 4)
    PaymentEngineMonitoringChannelList wait4sec();

}
